Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617526 - /dev/fb is world readable
/dev/fb is world readable
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dracut (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Harald Hoyer
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 07:01 EDT by Harald Hoyer
Modified: 2010-11-10 15:19 EST (History)
3 users (show)

See Also:
Fixed In Version: dracut-004-28.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:19:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2010-07-23 07:01:22 EDT
dracut creates /dev/fb for plymouth with the mode 0644.

It should create /dev/fb0 with mode 0640 and symlink to /dev/fb.
Comment 3 Harald Hoyer 2010-07-27 11:10:34 EDT
dracut-004-27.el6
Comment 5 Harald Hoyer 2010-07-29 05:14:07 EDT
fixed regression in bug 619153

dracut-004-28.el6
Comment 6 Marian Ganisin 2010-08-05 03:18:46 EDT
symlink /dev/fb points to /dev/fb0 with 0660 mode and 'root' group membership. Is this mode acceptable? Supposed answer is 'yes', I just want to clarify that before moving to verified regarding to claimed mode in initial comment,
Comment 7 Harald Hoyer 2010-08-05 03:38:52 EDT
yes, fine!
Comment 9 releng-rhel@redhat.com 2010-11-10 15:19:30 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.